%define x11_srv 4.3.0
%define x11_ver 4_3_0

%define drvs	modules/drivers
%define glxs    modules/extensions

Name: matroxdriver_glx
Version: 1.4.3.2
Release: alt0.M24.1
Summary: Matrox Parhelia Driver
Group: System/Kernel and hardware

Packager: LAKostis <lakostis at altlinux.ru>

URL: http://www.tuxx-home.at/projects/mtx/
License: Proprietary

Provides: libGL
Provides: XFree86-%name

Source0:  http://www.tuxx-home.at/projects/mtx/latest/mtxdriver-x86_32-%version.run
#Patch: matroxdriver-1.4.2-vm_pud_changes.patch

Requires: XFree86-server = %x11_srv

BuildPreReq: kernel-build-tools
ExclusiveArch: %ix86

%description 
Proprietary Matrox drivers for Parhelia cards.

%package -n kernel-source-matroxdriver-%version
Summary: Linux matroxdriver (Parhelia video card driver) module sources
Group: Development/Kernel

%description -n kernel-source-matroxdriver-%version
matroxdriver (Parhelia video card driver) module sources for Linux kernel.

%prep
%setup -T -c
echo -n $RPM_BUILD_DIR | sh %SOURCE0 --nox11 --extract-only --target $RPM_BUILD_DIR/%name-%version && true 
%setup -D -T

pushd kernel
#%%patch -p1
cd ..
%__mv kernel kernel-source-matroxdriver-%version
%__tar -cj -f ../../kernel-source-matroxdriver-%version.tar.bz2 \
	kernel-source-matroxdriver-%version
popd

%install
%set_strip_method shared
%set_verify_elf_method textrel=relaxed,rpath=strict

%__mkdir_p %buildroot%_x11bindir
%__mkdir_p %buildroot%_x11libdir/modules-extra
%__mkdir_p %buildroot%_x11includedir
%__mkdir_p %buildroot%_x11libdir/%drvs
%__mkdir_p %buildroot%_x11libdir/%glxs
%__mkdir_p %buildroot%_x11libdir/matroxdriver

%__mkdir_p %kernel_srcdir

%__install -p -m644 xserver/%x11_ver/mtx_drv.o \
	%buildroot%_x11libdir/%drvs/

%__install -p -m644 v4l/%x11_ver/v4l_drv.o \
	%buildroot%_x11libdir/modules-extra

%__install -p -m644 opengl/libglx.a \
	%buildroot%_x11libdir/%glxs/libmtx_glx.a

%__install -p -m644 opengl/libGL.so.1.3.0 \
	%buildroot%_x11libdir/matroxdriver/libGL.so.1

%__install -p -m644 ../../kernel-source-matroxdriver-%version.tar.bz2 %kernel_srcdir/

for f in opengl/include/*.h;
	do %__install -p -m644 $f %buildroot%_x11includedir/mtx_`basename $f`;
done

%post
echo "To have XFree86 make use of the modified v4l module, you should add the following"
echo "line to /etc/X11/XF86Config, in the files section and above any other"
echo "ModulePath directives:"
echo
echo "      ModulePath \"/usr/X11R6/lib/modules-extra\""
echo
echo "Please note that you may need to uncomment or add another ModulePath line with"
echo "the default module path in it. If Xorg does not start after adding the line"
echo "above, add this one under it:"
echo
echo "      ModulePath \"/usr/X11R6/lib/modules\""
%post_ldconfig
[ -f %_x11libdir/%glxs/libglx.so ] && \
	mv %_x11libdir/%glxs/libglx.so %_x11libdir/%glxs/libglx-x11.so && \
	%__ln_s %_x11libdir/%glxs/libglx-mtx.so %_x11libdir/%glxs/libglx.so

%postun
%postun_ldconfig
[ -f %_x11libdir/%glxs/libglx.so ] && \
	%__rm -f %_x11libdir/%glxs/libglx.so && \
	mv %_x11libdir/%glxs/libglx-x11.so %_x11libdir/%glxs/libglx.so

%files
%_x11libdir/%drvs/*
%_x11libdir/modules-extra
%_x11libdir/%glxs/*
%_x11libdir/matroxdriver
%_x11includedir/*
%doc samples docs/*

%files -n kernel-source-matroxdriver-%version
%_usrsrc/*

%changelog
* Thu Jan 12 2006 LAKostis <lakostis at altlinux.ru> 1.4.3.2-alt0.M24.1
- new unofficial version - 1.4.3.2.
- change URL - let's be unofficial ;)

* Tue Aug 18 2005 LAKostis <lakostis at altlinux.ru> 1.4.2-alt0.M24.1
- backport to Master-2.4.

* Tue Aug 16 2005 LAKostis <lakostis at altlinux.ru> 1.4.2-alt1
- Initial build for ALTLinux.
- use unofficial version patched for 2.6.12 compatibility.
- put modified v4l driver to /modules-extra directory for avoiding conflicts
  with stock driver
